/* CSS Reset /
/
- The "margin" property changes the amount of space between the "border" and it's surrounding elements. This is commonly used to create space between elements.
    - Even though a "border" property of an element does not have a value and is not visible in the browser, it serves as a basis to create space between elements.
    - The "padding" property changes the amount of space between the "border" and "content" of an element. This is commonly used to position contents of an element.
    - All HTML elements have default values for their "margin" and "padding" properties. Giving them the value of "0" makes it easier for us to manipulate the sizes and positioning of elements.
    - The "box-sizing" property defines how the width and height of an element are calculated.
    . This will allow us to control the measurements of elements better.
    - The value "border-box" includes the "padding" and "border" properties of an element to the total height and width in it's computation.
*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Open Sans", sans-serif;
}

nav {
  padding: 0.8rem;
  margin-bottom: 2rem;
  border-bottom: 1px solid gray;
  list-style-type: none;
}

nav .nav,
nav .nav-logo {
  /* shorthand /
    margin:    0.5rem;
    /margin-top: 0.5rem;
    margin-right: 0.5rem;
    margin-bottom: 0.5rem;
    margin-left: 0.5rem;/
 /    changes elements to inline elements*/
  display: inline;
}
#intro {
  /* creates a space between contents of the section */
  padding-left: 10%;
  padding-right: 10%;
  padding-top: 2rem;
  padding-bottom: 3rem;
  text-align: center;
  /* syntax shorthand */
}

.header {
  text-align: center;
}

#intro h2,
#intro p {
  margin-bottom: 1rem;
}

#intro button {
  color: white;
  font-weight: bold;
  background-color: #c2195b;
  border-radius: 25px;
  font-size: 1rem;
  padding: 1rem;
}

#succeed-info {
  padding: 2rem 10% 3rem;
}

#succeed-info h2 {
  /* creates space between the header and  the card section */
  margin-bottom: 1rem;
}

#succeed-info h3 {
  text-align: center;
  margin-bottom: 1rem;
}

#succeed-info .card {
  display: inline-block;
  vertical-align: top;
  min-height: 175px;
  width: 30%;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
}

footer {
  padding: 0.7rem;
}

footer span {
  margin-inline: 0.5rem;
}

#pre-footer {
  color: white;
  background-color: #002540;
}

#pre-footer div {
  display: inline-block;
  margin-inline: 5%;
  padding-block: 2rem;
}

#pre-footer div h3 {
  margin-bottom: 0.5rem;
}
#pre-footer div p {
  margin-bottom: 0.5rem;
}
